<?php

declare(strict_types=1);

namespace Drupal\vendor_stream_wrapper\Event;

use Drupal\vendor_stream_wrapper\Service\VendorStreamWrapperManagerInterface;
use Symfony\Contracts\EventDispatcher\Event;

/**
 * Provides a vendor stream wrapper collect safe-list regex pattern event.
 */
class VendorStreamWrapperCollectSafeListRegexPatternsEvent extends Event {

  /**
   * Constructs the event object.
   *
   * @param Drupal\vendor_stream_wrapper\Service\VendorStreamWrapperManagerInterface $vendorStreamWrapperManager
   *   The vendor stream wrapper manager.
   */
  public function __construct(
    protected VendorStreamWrapperManagerInterface $vendorStreamWrapperManager,
  ) {}

  /**
   * Returns the vendor stream wrapper manager.
   *
   * @return \Drupal\vendor_stream_wrapper\Service\VendorStreamWrapperManagerInterface
   *   The vendor stream wrapper manager.
   */
  public function getVendorStreamWrapperManager(): VendorStreamWrapperManagerInterface {
    return $this->vendorStreamWrapperManager;
  }

}
